Run a workflow Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/workflow/{workflow_uuid}/run

Path parameters

  • workflow_uuid string Required
application/json

Body

  • model_type string Required

    The type of model to trigger a workflow on.

    Value Description
    client Client
    case Case

    Values are client or case.

  • model_uuid string(uuid) Required

    The uuid of the model to trigger a workflow on.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string Required

      A human-readable description of the error.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/workflow/{workflow_uuid}/run
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/workflow/6ff8f7f6-1eb3-3525-be4a-3932c805afed/run' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"model_type":"client","model_uuid":"08b20c7f-a4e1-4f43-91f0-cd21b54ab881"}'
Request examples
{
  "model_type": "client",
  "model_uuid": "08b20c7f-a4e1-4f43-91f0-cd21b54ab881"
}
Response examples (401)
{
  "message": "Unauthenticated."
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}